Skip to content

@Palakis Palakis released this May 14, 2020 · 20 commits to master since this release

This release fixes an issue targeting the Debian/Ubuntu package. For the latest Windows and macOS release, see obs-ndi 4.9.0.

Only use this release with OBS Studio v25 or above!

Changes since 4.9.0

  • Ubuntu Bugfix: plugin installed in the wrong location (is supposed to be in /usr/lib/obs-plugins instead of /usr/lib/$multiarch/obs-plugins)

Install instructions

Ubuntu/Debian

Download libndi4_4.5.1-1_amd64.deb and obs-ndi_4.9.1-1_amd64.deb (both are provided below), and install them on your system.

Assets 7
  • 4.9.0
  • 79b216b
  • Compare
    Choose a tag to compare
    Search for a tag
  • 4.9.0
  • 79b216b
  • Compare
    Choose a tag to compare
    Search for a tag

@Palakis Palakis released this Apr 28, 2020 · 24 commits to master since this release

Only use this release with OBS Studio v25 or above!

Changes since 4.8.0

  • Improvements to the NDI Source (#459):
    • The "Sync" setting now defaults to "Source Timing"
      • This is the best option to keep audio and video synced together, and it has been tested against OBS and vMix with successful results.
    • Among the options of the "Sync" source parameter, the "Internal" sync option has been removed
      • This mode never actually worked and is fundamentally flawed.
  • All platforms now target OBS v25 or above (including you, macOS users!)
  • Feature: Russian translation (#443)
  • Bugfix: the Ubuntu/Debian package now only installs the plugin into /usr/lib/x86_64-linux-gnu/obs-plugins (#460)

Install instructions

Windows

  • Using the installer (recommended) : download it, launch it and follow the instructions.
  • Using the obs-ndi-4.9.0-Windows.zip archive:
    1. Copy the contents of the archive to the root of your OBS Studio installation folder
    2. Install the NDI 4.5 Windows runtime using the installer provided here: https://ndi.palakis.fr/runtime/ndi-runtime-4.5.1-Windows.exe

On Windows, you must reboot your computer to make a new or updated NDI Runtime installation effective

Ubuntu/Debian

Download libndi4_4.5.1-1_amd64.deb and obs-ndi_4.9.0-1_amd64.deb (both are provided below), and install them on your system.

macOS

Starting with obs-ndi 4.8.0, the NDI runtime is not installed automatically anymore.

  1. Download and run obs-ndi-4.9.0-macOS.pkg (provided below)
  2. Install the NDI 4.5.1 macOS runtime using the installer provided here: https://ndi.palakis.fr/runtime/ndi-runtime-4.5.1-macOS.pkg
Assets 8
  • 4.8.0
  • f2b7c2a
  • Compare
    Choose a tag to compare
    Search for a tag
  • 4.8.0
  • f2b7c2a
  • Compare
    Choose a tag to compare
    Search for a tag

@Palakis Palakis released this Apr 10, 2020 · 43 commits to master since this release

Only use this release with OBS Studio v25 (v24 on macOS) or above!

Changes since 4.7.1

Features & Improvements

  • NDI 4.5 support (#416)
    • On macOS, you need to install the NDI 4.5 runtime manually! (download link below)
  • Spanish localization (thanks @COOLIGUAY in #357)

Bug fixes

  • Bugfix: The NDI Output Settings dialog wasn't always showing text input fields for the Program & Preview output names (#373)
  • Bugfix: NDI runtime download issues on Windows. The obs-ndi installer now downloads the runtime from a mirror I manage to prevent download errors that cause failed installs (#140)
  • A myriad of macOS bugfixes:
    • The plugin wasn't loading because of a problem with how macOS looks for plugin dependencies (#409)
    • With NDI 4.5 installed on the system, obs-ndi 4.7.1 would crash. This is now fixed with the addition of NDI 4.5 support.
    • The obs-ndi installer could fail to download the NDI runtime because of download server issues, or could fail to install it because it is not digitally signed. This step has been removed. macOS users now have to download & install the NDI 4.5 runtime separately (links provided below).
    • In addition to being digitally signed, the obs-ndi installer is now also notarized by Apple. This should eliminate "malicious software" prompts on Catalina.

Install instructions

Windows

  • Using the installer (recommended) : download it, launch it and follow the instructions.
  • Using the obs-ndi-4.8.0-Windows.zip archive:
    1. Copy the contents of the archive to the root of your OBS Studio installation folder
    2. Install the NDI 4.5 Windows runtime using the installer provided here: https://ndi.palakis.fr/runtime/ndi-runtime-4.5.1-Windows.exe

On Windows, you must reboot your computer to make a new or updated NDI Runtime installation effective

Ubuntu/Debian

Download libndi4_4.5.1-1_amd64.deb and obs-ndi_4.8.0-1_amd64.deb (both are provided below), and install them on your system.

macOS

Starting with obs-ndi 4.8.0, the NDI runtime is not installed automatically anymore.

  1. Download and run obs-ndi-4.8.0-macOS.pkg (provided below)
  2. Install the NDI 4.5.1 macOS runtime using the installer provided here: https://ndi.palakis.fr/runtime/ndi-runtime-4.5.1-macOS.pkg
Assets 7

@Palakis Palakis released this Nov 12, 2019 · 79 commits to master since this release

Only use this release with OBS 24 or above!

Changes since 4.7.0

  • Windows installer: the NDI runtime installation is now a separate component that can be disabled if you don't want the runtime automatically installed
  • macOS: fixes for OBS Studio 24.0.3 and Catalina compatibility

Install instructions

Windows

  • Using the installer (recommended) : download it, launch it and follow the instructions.
  • Using the obs-ndi-4.7.1-Windows.zip archive : copy the contents of the archive to the root of your OBS Studio installation folder, and download and install the NDI 4.0+ Runtime if you haven't already.

On Windows, you must reboot your computer to make a new or updated NDI Runtime installation effective

Ubuntu/Debian

  • Manual install (64-bit only): Download libndi3_4.0.0-1_amd64.deb and obs-ndi_4.7.1-1_amd64.deb, and install them on your system.
  • PPA: not yet available

macOS

Download and run obs-ndi-4.7.1-macOS.pkg. This will install both the plugin and the NDI 4.0+ Runtime. On macOS Catalina (or if it doesn't install the NDI runtime automatically), you'll have to download and install the NDI runtime manually: download it here.
Note: the installer package is digitally signed, so macOS shouldn't complain. However, if it is the case and a security alert pops up when trying to launch the installer, go to the "Security & Privacy" panel in OS X Settings and click "Open Anyway".

Assets 7

@Palakis Palakis released this Sep 17, 2019 · 87 commits to master since this release

Only use this release with OBS 22 or above!

Changes since 4.6.2

  • Updated to NDI 4.0. Fixes an issue where previous versions of the plugin weren't compatible with the NDI 4.0 Runtime. If the installer doesn't do it for you (on Windows & macOS), download the NDI Runtime using the link below, reinstall it and reboot. Linux users must install the new libndi manually.

Install instructions

Windows

  • Using the installer (recommended) : download it, launch it and follow the instructions.
  • Using the obs-ndi-4.7.0-Windows.zip archive : copy the contents of the archive to the root of your OBS Studio installation folder, and download and install the NDI 4.0+ Runtime if you haven't already.

On Windows, you must reboot your computer to make a new or updated NDI Runtime installation effective

Ubuntu/Debian

  • Manual install (64-bit only): Download libndi3_4.0.0-1_amd64.deb and obs-ndi_4.7.0-1_amd64.deb, and install them on your system.
  • PPA: not yet available

macOS

Download and run obs-ndi-4.7.0-macOS.pkg. This will install both the plugin and the NDI 4.0+ Runtime. If it doesn't install the NDI runtime, download it here.
Note: the installer package is digitally signed, so macOS shouldn't complain. However, if it is the case and a security alert pops up when trying to launch the installer, go to the "Security & Privacy" panel in OS X Settings and click "Open Anyway".

Assets 7

@Palakis Palakis released this Aug 24, 2019 · 96 commits to master since this release

This release fixes a Windows-specific issue. The latest version for Linux & macOS is 4.6.1

Hotfix changes

  • Bugfix: NDI Source not showing up in the "New Source" context menu

Install instructions (Windows)

  • Using the installer (recommended) : download it, launch it and follow the instructions.
  • Using the obs-ndi-4.6.2-Windows.zip archive : copy the contents of the archive to the root of your OBS Studio installation folder, and download and install the NDI 3.8+ Runtime if you haven't already.

On Windows, you must reboot your computer to make a new or updated NDI Runtime installation effective

Assets 4

@Palakis Palakis released this Aug 23, 2019 · 99 commits to master since this release

Only use this release with OBS 22 or above!

Changes since 4.6.0

  • OBS v24 Release Candidate bugfix: crash when starting the preview output
  • Linux: fix plugin location issues on Ubuntu (now installs the plugin both in /usr/lib/obs-plugins and /usr/lib/x86_64-linux-gnu/obs-plugins)

Install instructions

Windows (4.6.2 hotfix)

  • Using the installer (recommended) : download it, launch it and follow the instructions.
  • Using the obs-ndi-4.6.2-Windows.zip archive : copy the contents of the archive to the root of your OBS Studio installation folder, and download and install the NDI 3.8+ Runtime if you haven't already.

On Windows, you must reboot your computer to make a new or updated NDI Runtime installation effective

Ubuntu/Debian

  • Manual install (64-bit only): Download libndi3_3.8.0-1_amd64.deb and obs-ndi_4.6.1-1_amd64.deb, and install them on your system.
  • PPA: not yet available

macOS

Download and run obs-ndi-4.6.1-macOS.pkg. This will install both the plugin and the NDI 3.8+ Runtime. If it doesn't install the NDI runtime, download it here.
Note: the installer package is digitally signed, so macOS shouldn't complain. However, if it is the case and a security alert pops up when trying to launch the installer, go to the "Security & Privacy" panel in OS X Settings and click "Open Anyway".

Assets 7
  • 4.6.0
  • 19b79ba
  • Compare
    Choose a tag to compare
    Search for a tag
  • 4.6.0
  • 19b79ba
  • Compare
    Choose a tag to compare
    Search for a tag

@Palakis Palakis released this Mar 12, 2019 · 112 commits to master since this release

Only use this release with OBS 22 or above!

Changes since 4.5.3

  • Fix for microstutter issues encountered by several users (courtesy of @loopy750)
  • Bugfix: the Dedicated Output filter used to output nothing if a Color Correction filter was placed on first position of a filter chain
  • Source: new "Latency" option.
    • Be careful: setting this to "Low" can cause microstutters. Use with caution!
  • Source and Output: native support for NV12 and I420 YUV pixel formats.
    • Previous versions of the plugin used to perform the conversion to NDI's native UYVY format, but now the NDI SDK supports these two formats natively, removing the need for any conversion performed by the plugin.
  • Linux + macOS bugfix: NDI Name text inputs for program and output were not visible
  • macOS enhancement: try to prevent App Nap from suspending background tasks
  • NDI SDK support updated to version 3.8
  • Catalan localization
  • NDI runtime version now shown at the bottom of the settings dialog (and printed in the current log)
  • Output: slightly improved memory allocation in the audio output code
  • Automated macOS builds now use Azure Pipelines instead of Travis CI

Known issues with these changes

  • The Dedicated Output filter ignores its position in the filter chain and outputs the post-filtering result

Install instructions

Windows

  • Using the installer (recommended) : download it, launch it and follow the instructions.
  • Using the obs-ndi-4.6.0-Windows.zip archive : copy the contents of the archive to the root of your OBS Studio installation folder, and download and install the NDI 3.8+ Runtime if you haven't already.

On Windows, you must reboot your computer to make a new or updated NDI Runtime installation effective

Ubuntu/Debian

  • Manual install (64-bit only): Download libndi3_3.8.0-1_amd64.deb and obs-ndi_4.6.0-1_amd64.deb, and install them on your system.
  • PPA: not yet available

macOS (tested with OBS 23.0.0)

Download and run obs-ndi-4.6.0-macOS.pkg. This will install both the plugin and the NDI 3.8+ Runtime. If it doesn't install the NDI runtime, download it here.
Note: the installer package is now digitally signed, so macOS shouldn't complain. However, if it is the case and a security alert pops up when trying to launch the installer, go to the "Security & Privacy" panel in OS X Settings and click "Open Anyway".

Assets 7

@Palakis Palakis released this Oct 7, 2018 · 168 commits to master since this release

Only use this release with OBS 22 or above!

Changes since 4.5.2

  • NDI Source: Performance improvements
  • NDI Source on macOS: fix high CPU usage with inactive sources
  • macOS: fix for loading issues with the plugin

Install instructions

Windows

  • Using the installer (recommended) : download it, launch it and follow the instructions.
  • Using the obs-ndi-4.5.3-Windows.zip archive : copy the contents of the archive to the root of your OBS Studio installation folder, and download and install the NDI 3.5+ Runtime if you haven't already.

On Windows, you must reboot your computer to make a new or updated NDI Runtime installation effective

Ubuntu/Debian

  • Manual install (64-bit only): Download libndi3_3.5.1-1_amd64.deb and obs-ndi_4.5.3-1_amd64.deb, and install them on your system.
  • PPA: not yet available

OS X/macOS (tested with OBS 22.0.3)

Download and run obs-ndi-4.5.3.pkg. This will install both the plugin and the NDI 3.5+ Runtime. If it doesn't install the NDI runtime, download it here.
Note: OS X may show you a security alert when launching the installer, preventing your from installing obs-ndi. If this happens, go to the "Security & Privacy" panel in OS X Settings and click "Open Anyway".

Assets 7

@Palakis Palakis released this Aug 20, 2018 · 174 commits to master since this release

Only use this release with OBS 22 or above!

Changes since 4.5.1

  • Source: remove the "Default" value for the YUV range and colorspace fields. Default values for these fields are now Partial range with BT.709 colorspace
  • Source: the "Source name" field is now an Editable Combo field (current value can be selected from the list of available NDI sources as usual, or typed manually). This prevents the currently selected source name from disappearing from the list whenever the source becomes unavailable.
  • Preview Output: use the same YUV settings as the Main Output
  • Bugfix: Qt version mismatch on macOS
  • Preview Output Improvement: fix handling of scene preview change events to properly keep track of the current preview scene

Install instructions

Windows

  • Using the installer (recommended) : download it, launch it and follow the instructions.
  • Using the obs-ndi-4.5.2-Windows.zip archive : copy the contents of the archive to the root of your OBS Studio installation folder, and download and install the NDI 3.5+ Runtime if you haven't already.

On Windows, you must reboot your computer to make a new or updated NDI Runtime installation effective

Ubuntu/Debian

  • Manual install (64-bit only): Download libndi3_3.5.1-1_amd64.deb and obs-ndi_4.5.2-1_amd64.deb, and install them on your system.
  • PPA: not yet available

OS X/macOS (experimental)

Download and run obs-ndi-4.5.2.pkg. This will install both the plugin and the NDI 3.5+ Runtime. If it doesn't install the NDI runtime, download it here.
Note: OS X may show you a security alert when launching the installer, preventing your from installing obs-ndi. If this happens, go to the "Security & Privacy" panel in OS X Settings and click "Open Anyway".

Assets 7
You can’t perform that action at this time.